**Full name**: projects.locations.notebookRuntimeTemplates.create

Creates a NotebookRuntimeTemplate.

### Endpoint

post `https://{service-endpoint}/v1beta1/{parent}/notebookRuntimeTemplates`   
Where `{service-endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest#rest_endpoints).

### Path parameters

`parent` `string` Required. The resource name of the Location to create the NotebookRuntimeTemplate. Format: `projects/{project}/locations/{location}`

### Query parameters

`notebookRuntimeTemplateId` `string` Optional. user specified id for the notebook runtime template.

### Request body

The request body contains an instance of `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1beta1/projects.locations.notebookRuntimeTemplates#NotebookRuntimeTemplate`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `aiplatform.notebookRuntimeTemplates.create`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).